# HAM :
# this includelet expects the following vars
# id : the unique id of the portal
# type_id : the type id of the portal
# title : title of the portal
# content_id : the id of the content to display
# column_n : which column the portlet is displayed

set mashup_url [mashup::get_url]
set portlet_style ""

if { [exists_and_not_null hide_first] } {
	set portlet_style "style=\"display:none\""
}

# retrieve info about the portlet
db_0or1row "getportal" "select * from mashup_portals where id=:id"

# set the includelet to use depending on type_id
set include [mashup::name_from_type_id -type_id $type_id]

set btnminmax [ah::toggle -element "portlet-content-${id}" \
			   -effect "blind" \
			   -options "duration:0.5, 
				afterFinish:function(){ 
					var str = \$('min_$id').src; 
					if (str.search('bulletdown.gif') != -1) {
						\$('min_$id').src='${mashup_url}resources/images/bullet.gif'; 
					} else { 
						\$('min_$id').src='${mashup_url}resources/images/bulletdown.gif'; 
					} 
					new Ajax.Request('${mashup_url}xmlhttp/minimize-portlet',
						{asynchronous:true,method:'post',parameters:'id=${id}'}); 
				}"]

set btn_close "delPortlet('portlet_${id}');"